/*globals define*/

define([
    'testsuite/qunit',
    'testsuite/qunit-fixture!ep/ui/form-test',
    'jquery',
    'ep/ui/form',

    'jquery/metaparse',
    'ep/ui/input'
], function (QUnit, fixture, $, ep) {

    QUnit.module("ep/ui/form", {
        setup: fixture.init,
        teardown: fixture.destroy
    });

    QUnit.asyncTest("ep/ui/form", function () {

        $('.ep-js').metaparse();

        var i = 0,
            t;

        $('form')
            .uiForm({
                ajax: function (send) {
                    send({
                        url:        '../ep/ui/form-test-1.json',
                        type:       'get',
                        dataType:   'json',
                        async:      false
                    }).done(function (data) {
                        i++;
                        t = data;
                    });
                }
            });

        // Submit within 300 ms will fail
        setTimeout(function () {

            $('form').trigger('submit');

            QUnit.equal(
                i,
                1,
                "i == 1 (count Ajax on submit)"
            );

            QUnit.deepEqual(
                t,
                {"Delete": "Löschen", "New": "Neu"},
                "t == {'Delete': 'Löschen', 'New': 'Neu'}"
            );

            // Submit within 300 ms will fail
            setTimeout(function () {

                $(':submit:first').trigger('click');

                QUnit.equal(
                    i,
                    2,
                    "i == 2 (count Ajax on submit)"
                );

                QUnit.start();

            }, 500);

        }, 500);
    });
});