/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource['epages.io.html']){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource['epages.io.html'] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.
*/
dojo.provide('epages.io.html');


epages.io.Html = function (/*String*/url, /*DomObject*/ targetObject) {
	// summary:
	//		Loads html data from url and set the received html data to the target object.
	// example:
	// 	  epages.io.Html('http://www.mydomain.de/header.html', $(header));
	if (url === undefined){
		return;
	}
	this.load(url, targetObject);
};

dojo.extend(epages.io.Html, {
	load: function (/*String*/url, /*DomObject*/ targetObject, /*Boolean*/syncRequest) {
		// summary:
		//		Loads html data from url and set the received html data to the target object.
		// example:
		// 	  htmlLoader = new epages.io.Html();
		//		htmlLoader.load('http://www.mydomain.de/header.html', $(header));
		if (syncRequest == undefined){
			syncRequest = false;
		}
	  dojo.xhrGet({
	    url:  url,
	    sync: syncRequest,
	    load: function(data){
	      targetObject.innerHTML = data;
	    },
	    mimetype: "text/plain"
	  });
	}
});

}
